<?php

class Migration_20241122114330_add_csrf_token_audit_trail
{
    public static function up(PDO $pdo)
    {
        $sql_add_column = "
            ALTER TABLE `audit_trail_login`
            ADD COLUMN `csrf_token` VARCHAR(255) DEFAULT NULL AFTER `property_id`;
        ";
        $pdo->exec($sql_add_column);
    }

    public static function down(PDO $pdo)
    {
        $sql_remove_column = "
            ALTER TABLE `audit_trail_login`
            DROP COLUMN `csrf_token`;
        ";
        $pdo->exec($sql_remove_column);
    }
}
